//----------------------------------------------------------------------------
// File:          TestHash.pas
// Typ:           Delphi - Unit
// Author:        Peter Welkenbach
// Date:          28.09.97
// Last update:
// Compiler:      Delphi 3.0
// Remarks:       Test THashTable
//----------------------------------------------------------------------------


unit TestHash;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    Label1: TLabel;
    Memo1: TMemo;
    BitBtn2: TBitBtn;
    Edit1: TEdit;
    Label2: TLabel;
    BitBtn3: TBitBtn;
    Label3: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

uses hash;

{$R *.DFM}

var
  HT:  THashTable;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
  i: integer;
  dummy: String;
begin
  HT := THashTable.Create;
  HT.Init(100);
  for i:=0 to Memo1.lines.count-1 do begin
      dummy := UpperCase(Trim(Memo1.lines[i]));
      HT.AddElementToSlot( dummy, NIL);
  end;
end;


procedure TForm1.BitBtn2Click(Sender: TObject);
var
  dummy: string;
  HO: THashObj;
begin

  dummy := UpperCase(Trim(Edit1.Text));
  HO := HT.GetElementFromSlot( dummy );

  if HO <> NIL then
    label2.caption := HO.Name
  else
    label2.caption := 'NIL';


end;

procedure TForm1.BitBtn3Click(Sender: TObject);
var
  dummy: String;

begin
  dummy := UpperCase(Trim(Edit1.Text));
  HT.DelElementFromSlot( dummy );
end;

end.
